ResourcePermission.Resource (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.security, class: ResourcePermission, enum: Resource

Package org.apache.geode.security

# Enum Class ResourcePermission.Resource

java.lang.Object
java.lang.Enum<ResourcePermission.Resource>
org.apache.geode.security.ResourcePermission.Resource

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourcePermission.Resource>`, `Constable`

Enclosing class:
  ResourcePermission

public static enum ResourcePermission.Resource extends Enum<ResourcePermission.Resource>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `CLUSTER`
  `DATA`
  `NULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `static ResourcePermission.Resource`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ResourcePermission.Resource[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final ResourcePermission.Resource ALL

  - ### NULL

    public static final ResourcePermission.Resource NULL

  - ### CLUSTER

    public static final ResourcePermission.Resource CLUSTER

  - ### DATA

    public static final ResourcePermission.Resource DATA

- ## Method Details

  - ### values

    public static ResourcePermission.Resource[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ResourcePermission.Resource valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()